Subject: Re: [PATCH] early serial init

From: Armin <[email-masked]>
Date: Thu, 11 Apr 2002 16:05:38 +0000

andrew may wrote:
> On Thu, Apr 11, 2002 at 02:53:36PM +0000, Armin wrote:
>
>>John Tyner wrote:
>>
>>>I remember seeing something awhile ago about early boots, but I didn't
>>>think it was for Walnut. Where is it/would it be?
>>>
>>>On Thu, 11 Apr 2002, Armin wrote:
>>>
>>>
>>>
>>>>John Tyner wrote:
>>>>
>>>>
>>
>>David G did something and he hit the head_4xx.S & ppc4xx_setup.c and a
>>few header files imb405gp.h
>>
>
> This patch is to remove the need for the BASE BAUD define. If we ever start
> trying to get a single kernel to build for multiple 405 boards that run at
> various clock rates it becomes helpful to calc the base baud for the serial
> ports rather than forcing it at compile time.
>
>

This patch did not remove BASE_BAUD from the headers??? Having an option
for early boot is a good thing, this patch removes that option.  Your
patch would only affect the walnut?  David's is at least in setup.c
where more boards have access to the early serial init code.

armin

** Sent via the linuxppc-embedded mail list. See http://lists.linuxppc.org/